#ifndef LOCALE_MARKER_H
#define LOCALE_MARKER_H

#include "core/input/input_event.h"
#include "scene/3d/physics/area_3d.h"
#include "scene/main/node.h"

class LocaleMarker : public Area3D {
	GDCLASS(LocaleMarker, Area3D);
	static void _bind_methods();
	void _notification(int what);
	void ready();
	void on_input_event(Node *camera, Ref<InputEvent> event, Vector3 position, Vector3 normal, int shape_ind);
public:
	void set_locale_scene(String const &value);
	String get_locale_scene() const;
	void set_entrance_path(String const &value);
	String get_entrance_path() const;
private:
	String locale_scene{"res://"};
	String entrance_path{"%"};
	String const sig_input_event{"input_event"};
};

#endif // !LOCALE_MARKER_H
